Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.conn.routing
Interface HttpRoutePlanner

All Known Implementing Classes:
  DefaultHttpRoutePlanner, ProxySelectorRoutePlanner

    public interface HttpRoutePlanner

Encapsulates logic to compute a `HttpRoute` to a target host. Implementations may for example be based on parameters, or on the standard Java system properties.

Implementations of this interface must be thread-safe. Access to shared data must be synchronized as methods of this interface may be executed from multiple threads.

Since:
  4.0

Method Summary
`HttpRoute` | `determineRoute(HttpHost target, HttpRequest request, HttpContext context)` Determines the route for a request.

Method Detail

### determineRoute

    HttpRoute determineRoute(HttpHost target,
                             HttpRequest request,
                             HttpContext context)
                             throws HttpException

  Determines the route for a request.

  Parameters:
    `target` - the target host for the request. Implementations may accept `null` if they can still determine a route, for example to a default target or by inspecting the request.
    `request` - the request to execute
    `context` - the context to use for the subsequent execution. Implementations may accept `null`.
  Returns:
    the route that the request should take
  Throws:
    `HttpException` - in case of a problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.